libcamera::Size Struct Reference

Describe a two-dimensional size. More...

## Public Member Functions

| Size ()
| Construct a Size with width and height set to 0.
| Size (unsigned int w, unsigned int h)
| Construct a Size with given width and height. More...
bool | isNull () const
| Check if the size is null. More...
const std::string | toString () const
| Assemble and return a string describing the size. More...

## Public Attributes

unsigned int | width
| The Size width.
unsigned int | height
| The Size height.

## Detailed Description

Describe a two-dimensional size.

The Size structure defines a two-dimensional size with integer precision.

## Constructor & Destructor Documentation

## Size()

libcamera::Size::Size | ( | unsigned int | width,
|  | unsigned int | height
| ) |  |

inline

Construct a Size with given width and height.

Parameters

  [in] | width | The Size width
  [in] | height | The Size height

## Member Function Documentation

## isNull()

bool libcamera::Size::isNull | ( |  | ) | const

inline

Check if the size is null.

Returns
  True if both the width and height are 0, or false otherwise

## toString()

const std::string libcamera::Size::toString | ( |  | ) | const

Assemble and return a string describing the size.

Returns
  A string describing the size

The documentation for this struct was generated from the following files:

- include/libcamera/geometry.h
- src/libcamera/geometry.cpp